﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace ChartSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }
    }

    public class MyChartData
    {
        private double _x;
        private double _y1;
        private double _y2;
        public double X
        {
            get
            {
                return _x;
            }
            set
            {
                _x = value;
            }
        }
        public double Y1
        {
            get
            {
                return _y1;
            }
            set
            {
                _y1 = value;
            }
        }
        public double Y2
        {
            get
            {
                return _y2;
            }
            set
            {
                _y2 = value;
            }
        }
        public MyChartData()
        {
        }
        public MyChartData(double x, double y1, double y2)
        {
            _x = x;
            _y1 = y1;
            _y1 = y2;
        }
    }

    public class MyChartDataCollection : ObservableCollection<MyChartData>
    {
        public MyChartDataCollection()
        {
            Random random = new Random();
            DateTime date = DateTime.Today.Date;
            for (int i = 0; i < 10; i++)
            {
                MyChartData data = new MyChartData();
                data.X = i + 1;
                data.Y1 = random.Next(i + random.Next(10));
                data.Y2 = random.Next(i * 5);

                this.Add(data);
            }
        }
    }
}
